Subject: bug#58960: 29.0.50; Assert fails when browsing an URL, bug#58960: 29.0.50; Assert fails when browsing an URL

From: Robert Pluim <[email-masked]>
Date: Thu, 03 Nov 2022 09:41:20 +0100

>>>>> On Thu, 3 Nov 2022 04:00:26 +0100 (CET), Tino Calancha <[email-masked]> said:

    Tino> On Wed, 2 Nov 2022, Paul Eggert wrote:

    >> child_signal_init is reasonably heavyweight in that it keeps a
    >> couple of file descriptors open, so the idea is to be lazy and not
    >> call it unless Emacs plans to have children.
    >>

Sure. Calling it from `init_process_emacs' works as well, but then
thereʼs some scary looking "if (!will_dump_with_unexec_p ())", so
letʼs not go there :-)

    >> I installed the attached, which is like Robert's patch except it
    >> keeps the critical section smaller and checks the declaration of the
    >> now-extern function. Please give it a try. I'll boldly close the bug
    >> report; we can reopen it if I'm wrong.

    Tino> I have applied your patch; it fixes the issue.
    Tino> Thank you.

Works for me as well, thanks Paul

Robert
--